{smcl}
{* *! version 1.0  9nov2010}{...}
help for {cmd:regfungible}
{hline}

{title:Syntax}

{p 4 25 2}{cmd:regfungible} [ , {cmd:sets(}{it:#}{cmd:)} {cmd:theta(}{it:#}{cmd:)} {cmdab:pre:fix(}{it:string}{cmd:)} {cmd:print} {cmd:seed(}{it:#}{cmd:)} ]{p_end}

{pstd}{...}

{title:About regfungible}

{pstd}{...}
{cmd:regfungible} generates fungible standardized regression weights for reduced values of R-squared.
The amount of reduction relative to the model R-squared is determined by the {cmd:theta} option.  
{cmd:regfungible} is a post estimation command
requiring that {cmd:regress} be run prior to running {cmd:regfungible}.{p_end}

{pstd}Note: {cmd:regfungible} does not allow {cmd:if} or {cmd:in} so all subsetting must be done
prior to running the regression model. {p_end}
{pstd}Note: {cmd:regfungible} does not support factor variables but seems to work with {cmd:xi}. {p_end}

{synoptset 24 tabbed}{...}
{synopthdr}
{synoptline}
{synopt :{opt sets(#)}}number of fungible weights generated -- may be larger than _N (default = 50){p_end}
{synopt :{opt theta(#)}}difference of RSQb-RSQa (default = .01){p_end}
{synopt :{opt prefix(string)}}prefix for new variables (default = "v_"){p_end}
{synopt :{opt print}}display additional output{p_end}
{synopt :{opt seed(#)}}set random seed to #{p_end}

{title:Examples}

{cmd:. use http://www.ats.ucla.edu/stat/data/hsbdemo, clear}
{cmd:. regress write read math science}
{cmd:. regfungible, sets(200) theta(.005) prefix(w_)} 
{cmd:. regfungible, sets(200) theta(.005) prefix(w_) seed(12345) print}                   

{p2colreset}{...}

{title:Acknowledgements}

Adapted from the R function, fungible, written by Niels Waller, Department of Psychology, 
University of Minnesota.

{title:Author}

{p 4 4 2}Philip B. Ender{break}
UCLA Statistical Consulting Group{break}
ender@ucla.edu 

{title:Reference}

{p 4 8 2}Waller, N. G. (2008).  Fungible weights in multiple regression. {it:Psychometrica}, {it:73}(4), 691-703.{p_end}

{p2colreset}{...}

